---
title: counter-reset
slug: Web/CSS/counter-reset
tags:
  - CSS
  - CSS Counter
  - CSS Lists
  - CSS Property
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>counter-reset</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property resets a <a href="/en-US/docs/Web/Guide/CSS/Counters">CSS counter</a> to a given value.</p>

<div>{{EmbedInteractiveExample("pages/css/counter-reset.html")}}</div>

<div class="note">
<p><strong>Note:</strong> The counter's value can be increased or decreased using the {{cssxref("counter-increment")}} CSS property.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Set "my-counter" to 0 */
counter-reset: my-counter;

/* Set "my-counter" to -1 */
counter-reset: my-counter -1;

/* Set "counter1" to 1, and "counter2" to 4 */
counter-reset: counter1 1 counter2 4;

/* Cancel any reset that could have been set in less specific rules */
counter-reset: none;

/* Global values */
counter-reset: inherit;
counter-reset: initial;
counter-reset: unset;
</pre>

<p>The <code>counter-reset</code> property is specified as either one of the following:</p>

<ul>
 <li>A <code>&lt;custom-ident&gt;</code> naming the counter, followed optionally by an <code>&lt;integer&gt;</code>. You may specify as many counters to reset as you want, with each name or name-number pair separated by a space.</li>
 <li>The keyword value <code>none</code>.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("custom-ident", "&lt;custom-ident&gt;")}}</dt>
 <dd>The name of the counter to reset.</dd>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>The value to reset the counter to on each occurrence of the element. Defaults to <code>0</code> if not specified.</dd>
 <dt><code>none</code></dt>
 <dd>No counter reset is to be performed. This can be used to override a <code>counter-reset</code> defined in a less specific rule.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>
<h2 id="Examples">Examples</h2>

<h3 id="Resetting_named_counters">Resetting named counters</h3>

<pre class="brush:css notranslate">h1 {
  counter-reset: chapter section 1 page;
  /* Sets the chapter and page counters to 0,
     and the section counter to 1 */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Lists', '#counter-reset', 'counter-reset')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html#propdef-counter-reset', 'counter-reset')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.counter-reset")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Counters">Using CSS Counters</a></li>
 <li>{{cssxref("counter-increment")}}</li>
 <li>{{cssxref("counter-set")}}</li>
 <li>{{cssxref("@counter-style")}}</li>
 <li>{{cssxref("counter")}} and {{cssxref("counters")}} functions</li>
 <li>{{cssxref("content")}} property</li>
</ul>
